TNAT64(1)

NAME
tnat64 - Shell wrapper to simplify the use of the tnat64(8) library to transparently allow an application to connect to IPv4 hosts via NAT64 on IPv6-only systems when the application doesn't support IPv6 itself.

SYNOPSIS
tnat64 [application [application's arguments]]
or tnat64 [on|off]
or tnat64

DESCRIPTION
tnat64 is a wrapper between the tnat64 library and the application what you would like to run through NAT64.

OPTIONS

[application [application's arguments]]
    run the application as specified with the environment (LD_PRELOAD) set such that tnat64(8) will transparently forward all connections to the NAT64 via IPv6

[on|off]
    this option adds or removes tnat64(8) from the LD_PRELOAD environment variable. When tnat64(8) is in this variable all executed applications are automatically NAT64-ed. If you want to use this function, you HAVE to source the shell script from yours, like this: "source /usr/bin/tnat64" or ". /usr/bin/tnat64"
    Example:
    ". tnat64 on" -- add the tnat64 lib to LD_PRELOAD
    ". tnat64 off" -- remove the tnat64 lib from LD_PRELOAD

[show|sh]
    show the current value of the LD_PRELOAD variable

<without any argument>
    create a new shell with LD_PRELOAD including tnat64(8).

AUTHOR
This script was created by Tamas SZERB <toma@rulez.org> for the Debian package of tsocks. It (along with this manual page) have since been adapted into the main tsocks project and modified, and then modified to be used with tnat64.